<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__avrc__get__cur__app__value__rsp__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_avrc_get_cur_app_value_rsp_t</compoundname>
    <includes local="no">wiced_bt_avrc_defs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__avrc__get__cur__app__value__rsp__t_1a6750a5a3454776931ef6872d11950aed" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_get_cur_app_value_rsp_t::pdu</definition>
        <argsstring />
        <name>pdu</name>
        <briefdescription>
<para>pdu id </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1380" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1380" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__get__cur__app__value__rsp__t_1aa1791b123b9f91386750b8c54f8a0c68" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__avrc_1ga05446fa1277163e92d7ffe155d72b072">wiced_bt_avrc_sts_t</ref></type>
        <definition>wiced_bt_avrc_sts_t wiced_bt_avrc_get_cur_app_value_rsp_t::status</definition>
        <argsstring />
        <name>status</name>
        <briefdescription>
<para>status </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1381" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1381" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__get__cur__app__value__rsp__t_1a025c1ee23cc83294223488004beeaf5f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_get_cur_app_value_rsp_t::opcode</definition>
        <argsstring />
        <name>opcode</name>
        <briefdescription>
<para>Op Code (copied from avrc_cmd.opcode by AVRC_BldMetaDataRsp user. </para>
        </briefdescription>
        <detaileddescription>
<para>invalid one to generate according to pdu) </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1382" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1382" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__get__cur__app__value__rsp__t_1ae40b0b0f09f651543a41ac9ea0a991f8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_get_cur_app_value_rsp_t::num_val</definition>
        <argsstring />
        <name>num_val</name>
        <briefdescription>
<para>number of application settings to get </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1383" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1383" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__get__cur__app__value__rsp__t_1a3e67585a4c23740b0a86219eb5c1888b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avrc__app__setting__t">wiced_bt_avrc_app_setting_t</ref> *</type>
        <definition>wiced_bt_avrc_app_setting_t* wiced_bt_avrc_get_cur_app_value_rsp_t::p_vals</definition>
        <argsstring />
        <name>p_vals</name>
        <briefdescription>
<para>list of application settings </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1384" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1384" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>GetCurAppValue. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="146">
        <label>wiced_bt_avrc_get_cur_app_value_rsp_t</label>
        <link refid="structwiced__bt__avrc__get__cur__app__value__rsp__t" />
        <childnode refid="147" relation="usage">
          <edgelabel>p_vals</edgelabel>
        </childnode>
      </node>
      <node id="147">
        <label>wiced_bt_avrc_app_setting_t</label>
        <link refid="structwiced__bt__avrc__app__setting__t" />
      </node>
    </collaborationgraph>
    <location bodyend="1385" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1378" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1379" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__avrc__get__cur__app__value__rsp__t_1ae40b0b0f09f651543a41ac9ea0a991f8" virt="non-virtual"><scope>wiced_bt_avrc_get_cur_app_value_rsp_t</scope><name>num_val</name></member>
      <member prot="public" refid="structwiced__bt__avrc__get__cur__app__value__rsp__t_1a025c1ee23cc83294223488004beeaf5f" virt="non-virtual"><scope>wiced_bt_avrc_get_cur_app_value_rsp_t</scope><name>opcode</name></member>
      <member prot="public" refid="structwiced__bt__avrc__get__cur__app__value__rsp__t_1a3e67585a4c23740b0a86219eb5c1888b" virt="non-virtual"><scope>wiced_bt_avrc_get_cur_app_value_rsp_t</scope><name>p_vals</name></member>
      <member prot="public" refid="structwiced__bt__avrc__get__cur__app__value__rsp__t_1a6750a5a3454776931ef6872d11950aed" virt="non-virtual"><scope>wiced_bt_avrc_get_cur_app_value_rsp_t</scope><name>pdu</name></member>
      <member prot="public" refid="structwiced__bt__avrc__get__cur__app__value__rsp__t_1aa1791b123b9f91386750b8c54f8a0c68" virt="non-virtual"><scope>wiced_bt_avrc_get_cur_app_value_rsp_t</scope><name>status</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>